<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */
namespace Polkurier\Model\Shipment;

abstract class OrderAdres
{
    private ?string $company = null;

    private ?string $firstname = null;

    private ?string $lastname = null;

    private ?string $street = null;

    private ?string $house_no = null;

    private ?string $flat_no = null;

    private ?string $postcode = null;

    private ?string $city = null;

    private int|null $countryid = null;

    private string|null $country_iso = null;

    private ?string $email = null;

    private ?string $phone = null;
    
    /**
     * numer paczkomatu/punktu
     */
    private ?string $station = null;

    public function getStation(): ?string
    {
        return $this->station;
    }

    public function setStation($station): OrderAdres
    {
        $this->station = (string)$station;
        return $this;
    }

    public function getCompany(): ?string
    {
        return $this->company;
    }

    public function setCompany($company): OrderAdres
    {
        $this->company = (string)$company;
        return $this;
    }

    public function getFirstname(): ?string
    {
        return (string)$this->firstname;
    }

    public function setFirstname($firstname): OrderAdres
    {
        $this->firstname = (string)$firstname;
        return $this;
    }

    public function getLastname(): ?string
    {
        return $this->lastname;
    }

    public function setLastname($lastname): OrderAdres
    {
        $this->lastname = (string)$lastname;
        return $this;
    }

    public function getStreet(): ?string
    {
        return $this->street;
    }

    public function setStreet($street): OrderAdres
    {
        $this->street = (string)$street;
        return $this;
    }

    public function getHouseNo(): ?string
    {
        return $this->house_no;
    }

    public function setHouseNo($house_no): OrderAdres
    {
        $this->house_no = (string)$house_no;
        return $this;
    }

    public function getFlatNo(): ?string
    {
        return $this->flat_no;
    }

    public function setFlatNo($flat_no): OrderAdres
    {
        $this->flat_no = (string)$flat_no;
        return $this;
    }

    public function getPostcode(): ?string
    {
        return $this->postcode;
    }

    public function setPostcode($postcode): OrderAdres
    {
        $this->postcode = (string)$postcode;
        return $this;
    }

    public function getCity(): ?string
    {
        return $this->city;
    }

    public function setCity($city): OrderAdres
    {
        $this->city = (string)$city;
        return $this;
    }

    public function getCountryId(): ?int
    {
        return $this->countryid;
    }

    public function setCountryId(int $countryid): OrderAdres
    {
        $this->countryid = $countryid;
        return $this;
    }

    public function getCountryIso(): ?string
    {
        return $this->country_iso;
    }

    public function setCountryIso(?string $country_iso): OrderAdres
    {
        $this->country_iso = $country_iso;
        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail($email): OrderAdres
    {
        $this->email = (string)$email;
        return $this;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone($phone): OrderAdres
    {
        $this->phone = (string)$phone;
        return $this;
    }

    public function getPerson(): string
    {
        return trim($this->getFirstname() . ' ' . $this->getLastname());
    }
}