<?php

namespace PolkurierWebServiceApi\Entities;

class Recipient
{

    private string|null $company = null;

    private string|null $person = null;

    private string|null $street = null;

    private string|null $houseNumber = null;

    private string|null $flatNumber = null;

    private string|null $postcode = null;

    private string|null $city = null;

    private string|null $email = null;

    private string|null $phone = null;

    private string|null $country = 'PL';

    private string|null $machineName = null;

    public function getCompany(): string
    {
        return $this->company;
    }

    public function setCompany($company): Recipient
    {
        $this->company = $company;
        return $this;
    }

    public function getPerson(): ?string
    {
        return $this->person;
    }

    public function setPerson($person): Recipient
    {
        $this->person = $person;
        return $this;
    }

    public function getStreet(): ?string
    {
        return $this->street;
    }

    public function setStreet($street): Recipient
    {
        $this->street = $street;
        return $this;
    }

    public function getHouseNumber(): ?string
    {
        return $this->houseNumber;
    }

    public function setHouseNumber($houseNumber): Recipient
    {
        $this->houseNumber = $houseNumber;
        return $this;
    }

    public function getFlatNumber(): ?string
    {
        return $this->flatNumber;
    }

    public function setFlatNumber($flatNumber): Recipient
    {
        $this->flatNumber = $flatNumber;
        return $this;
    }

    public function getPostcode(): ?string
    {
        return $this->postcode;
    }

    public function setPostcode($postcode): Recipient
    {
        $this->postcode = $postcode;
        return $this;
    }

    public function getCity(): ?string
    {
        return $this->city;
    }

    public function setCity($city): Recipient
    {
        $this->city = $city;
        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail($email): Recipient
    {
        $this->email = $email;
        return $this;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone($phone): Recipient
    {
        $this->phone = $phone;
        return $this;
    }

    public function getCountry(): ?string
    {
        return $this->country;
    }
    

    public function setCountry($country): Recipient
    {
        $this->country = $country;
        return $this;
    }

    public function getMachineName(): ?string
    {
        return $this->machineName;
    }

    public function setMachineName($machineName): Recipient
    {
        $this->machineName = $machineName;
        return $this;
    }

    public function toArray(): array
    {
        return [
            'company' => $this->getCompany(),
            'person' => $this->getPerson(),
            'street' => $this->getStreet(),
            'housenumber' => $this->getHouseNumber(),
            'flatnumber' => $this->getFlatNumber(),
            'postcode' => $this->getPostcode(),
            'city' => $this->getCity(),
            'email' => $this->getEmail(),
            'phone' => $this->getPhone(),
            'country' => $this->getCountry(),
            'machinename' => $this->getMachineName(),
        ];
    }
}